org.apache.tinkerpop.gremlin.driver.ser

## Class SerTokens

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.SerTokens

-     public final class SerTokens
      extends Object

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MIME_GRAPHBINARY_V1D0`
    `static String` | `MIME_GRAPHSON_V1D0`
    `static String` | `MIME_GRAPHSON_V2D0`
    `static String` | `MIME_GRAPHSON_V3D0`
    `static String` | `MIME_GRYO_LITE_V1D0` Deprecated. As of release 3.2.6, not directly replaced - supported through `HaltedTraverserStrategy`.
    `static String` | `MIME_GRYO_V1D0` Deprecated. As of release 3.4.3, replaced by `MIME_GRAPHBINARY_V1D0`.
    `static String` | `MIME_GRYO_V3D0` Deprecated. As of release 3.4.3, replaced by `MIME_GRAPHBINARY_V1D0`.
    `static String` | `MIME_JSON`
    `static String` | `TOKEN_ARGS`
    `static String` | `TOKEN_ATTRIBUTES`
    `static String` | `TOKEN_CODE`
    `static String` | `TOKEN_DATA`
    `static String` | `TOKEN_MESSAGE`
    `static String` | `TOKEN_META`
    `static String` | `TOKEN_OP`
    `static String` | `TOKEN_PROCESSOR`
    `static String` | `TOKEN_REQUEST`
    `static String` | `TOKEN_RESULT`
    `static String` | `TOKEN_STATUS`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOKEN_ATTRIBUTES

          public static final String TOKEN_ATTRIBUTES

      See Also:
        Constant Field Values

    - #### TOKEN_RESULT

          public static final String TOKEN_RESULT

      See Also:
        Constant Field Values

    - #### TOKEN_STATUS

          public static final String TOKEN_STATUS

      See Also:
        Constant Field Values

    - #### TOKEN_DATA

          public static final String TOKEN_DATA

      See Also:
        Constant Field Values

    - #### TOKEN_META

          public static final String TOKEN_META

      See Also:
        Constant Field Values

    - #### TOKEN_CODE

          public static final String TOKEN_CODE

      See Also:
        Constant Field Values

    - #### TOKEN_REQUEST

          public static final String TOKEN_REQUEST

      See Also:
        Constant Field Values

    - #### TOKEN_MESSAGE

          public static final String TOKEN_MESSAGE

      See Also:
        Constant Field Values

    - #### TOKEN_PROCESSOR

          public static final String TOKEN_PROCESSOR

      See Also:
        Constant Field Values

    - #### TOKEN_OP

          public static final String TOKEN_OP

      See Also:
        Constant Field Values

    - #### TOKEN_ARGS

          public static final String TOKEN_ARGS

      See Also:
        Constant Field Values

    - #### MIME_JSON

          public static final String MIME_JSON

      See Also:
        Constant Field Values

    - #### MIME_GRAPHSON_V1D0

          public static final String MIME_GRAPHSON_V1D0

      See Also:
        Constant Field Values

    - #### MIME_GRAPHSON_V2D0

          public static final String MIME_GRAPHSON_V2D0

      See Also:
        Constant Field Values

    - #### MIME_GRAPHSON_V3D0

          public static final String MIME_GRAPHSON_V3D0

      See Also:
        Constant Field Values

    - #### MIME_GRYO_V1D0

          @Deprecated
          public static final String MIME_GRYO_V1D0

      Deprecated. As of release 3.4.3, replaced by `MIME_GRAPHBINARY_V1D0`.
      See Also:
        Constant Field Values

    - #### MIME_GRYO_V3D0

          @Deprecated
          public static final String MIME_GRYO_V3D0

      Deprecated. As of release 3.4.3, replaced by `MIME_GRAPHBINARY_V1D0`.
      See Also:
        Constant Field Values

    - #### MIME_GRYO_LITE_V1D0

          @Deprecated
          public static final String MIME_GRYO_LITE_V1D0

      Deprecated. As of release 3.2.6, not directly replaced - supported through `HaltedTraverserStrategy`.
      See Also:
        Constant Field Values

    - #### MIME_GRAPHBINARY_V1D0

          public static final String MIME_GRAPHBINARY_V1D0

      See Also:
        Constant Field Values

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.